id: rgp_collection
label: 'Cooker collection'
migration_group: product

source:
  plugin: url
  data_fetcher_plugin: http
  data_parser_plugin: json
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRangeMasterFamily'
  track_changes: true
  item_selector: data


  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: http://akeneoce.hicmedia.com
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'

  fields:
    - name: code
      label: 'Unique position identifier'
      selector: code
    - name: label
      label: 'Name'
      selector: label
  ids:
    code:
      type: string

process:
  name:
   - plugin: entity_exists
     source: label
     entity_type: taxonomy_term
   - plugin: skip_on_empty
     method: row

destination:
  plugin: entity:taxonomy_term
  default_bundle: cooker_collection
  overwrite_properties:
    - name

dependencies:
  enforced:
    module:
      - rg_import
